# Adobe Campaign Classic

Didomi can connect to Adobe Campaign Classic to send emails through your own templates and email addresses.

## Implementation

Didomi sends a SOAP message with the [`PushEvent`](https://final-docs.campaign.adobe.com/doc/AC/en/jsapi/sm-rtEvent-PushEvent.html) method. We include a real-time event of type `email`.

This email configuration requires an [Adobe Campaign Classic ](https://developers.didomi.io/integrations/third-party-apps/preference-management-platform-integrations/adobe-campaign-classic)integration with the `enable_emailing` property set to `true`.

## Configuration

Didomi needs the following configuration items to setup the connection with Adobe Campaign Classic:

| Configuration | Description                                | Required |
| ------------- | ------------------------------------------ | -------- |
| **Type**      | Type (event ID) of the AC event to be sent | Yes      |
| **Origin**    | Origin email address                       | Yes      |

The configuration of the Adobe Campaign Classic connector cannot be done in the Didomi Console at the moment. Please reach out to Support to get your Adobe Campaign Classic connector configured and provide the elements listed above.

## Example

```json
{
    "type_id": "adobe-campaign-classic",
    "email_type": "YOUR_TEMPLATE_ID",
    "properties": {
        "type": "YOUR_EVENT_ID",
        "origin": "YOUR_ORIGIN_EMAIL",
    }
}
```

## Templates

Make sure to provide the IDs of the event types that you will be sending. [See the Templates section](/integrations/emailing/templates.md) for more information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.didomi.io/integrations/emailing/providers/adobe-campaign-classic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
